<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE overlay SYSTEM "chrome://yass/locale/prefwindow.dtd">
<overlay id="yass-overlay" xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul">

    <script type="application/x-javascript" src="chrome://yass/content/main.js" />
    <script type="application/x-javascript" src="chrome://yass/content/contextmenu.js" />
    <script type="application/x-javascript" src="chrome://yass/content/statusbar.js" />

    <statusbar id="status-bar">
        <statusbarpanel hidden="true" id="yass_status" onmouseover="" onmouseup="yassev.popup(this,event);" style="padding:0px">
			<image id="yass_status_color_indicator" tooltiptext="YetAnotherSmoothScrolling" width="8" height="14" src="chrome://yass/content/none.png" 
				style="margin:0px 2px;border-width:1px;border-style:solid;border-color:#555 #eee #eee #555;"/>
         </statusbarpanel>
            <popup id='yass_status_popup' position='before_start'>
				<menuitem id="yass-statusbarmenu-option"
					label="&statusbar.option;" oncommand="yassev.show_preferences();"/>
				<menuseparator/>
				<menuitem id="yass-statusbarmenu-enable"
					label="&statusbar.enable;" type="checkbox" checked="true" oncommand="yassev.toggle_enable(this.getAttribute('checked'));"/>
				<menuseparator/>
				<menuitem id="yass-statusbarmenu-red"
					label="&contextmenu.red;" class="menuitem-iconic" image="chrome://yass/content/red.png" oncommand="yass.change_preset('red');"/>
				<menuitem id="yass-statusbarmenu-green"
					label="&contextmenu.green;" class="menuitem-iconic" image="chrome://yass/content/green.png" oncommand="yass.change_preset('green');"/>
				<menuitem id="yass-statusbarmenu-blue"
					label="&contextmenu.blue;" class="menuitem-iconic" image="chrome://yass/content/blue.png" oncommand="yass.change_preset('blue');"/>
			</popup>
    </statusbar>


	<popup id="contentAreaContextMenu">
		<menuseparator hidden="true" id="yass-changepreset-sep" insertbefore="context-sep-selectall" />
		<menuitem hidden="true" id="yass-changepreset-red" insertbefore="context-sep-selectall" 
			label="&contextmenu.red;" class="menuitem-iconic" image="chrome://yass/content/red.png" oncommand="yass.change_preset('red');"/>
		<menuitem hidden="true" id="yass-changepreset-green" insertbefore="context-sep-selectall" 
			label="&contextmenu.green;" class="menuitem-iconic" image="chrome://yass/content/green.png" oncommand="yass.change_preset('green');"/>
		<menuitem hidden="true" id="yass-changepreset-blue" insertbefore="context-sep-selectall" 
			label="&contextmenu.blue;" class="menuitem-iconic" image="chrome://yass/content/blue.png" oncommand="yass.change_preset('blue');"/>
	</popup>

</overlay>
